# require bits not in Fedora
%bcond_with tests

%global _description %{expand:
A common framework for reading/writing/generating network specifications.

Work in progress.  For the background to this see here:
https://github.com/NeuroML/NetworkShorthand.}

Name:           python-neuromllite
Version:        0.5.7
Release:        1%{?dist}
Summary:        A common framework for reading/writing/generating network specifications

License:        LGPLv3
URL:            https://github.com/NeuroML/NeuroMLlite/
Source0:        %{url}/archive/v%{version}/NeuroMLlite-%{version}.tar.gz
BuildArch:      noarch

%description %_description

%package -n python3-neuromllite
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Not mentioned in setup.py
Requires:  %{py3_dist graphviz}
Requires:  %{py3_dist h5py}
Requires:  %{py3_dist matplotlib}
Requires:  %{py3_dist neuron}
Requires:  %{py3_dist numpy}
Requires:  %{py3_dist pyelectro}
Requires:  %{py3_dist PyQt5}
Requires:  %{py3_dist scipy}
Requires:  %{py3_dist tables}

%if %{with tests}
# Required for tests
BuildRequires:  %{py3_dist graphviz}
BuildRequires:  %{py3_dist h5py}
BuildRequires:  %{py3_dist matplotlib}
BuildRequires:  %{py3_dist netpyne}
BuildRequires:  %{py3_dist neuron}
BuildRequires:  %{py3_dist numpy}
BuildRequires:  %{py3_dist pyelectro}
BuildRequires:  %{py3_dist pyneuroml}
BuildRequires:  %{py3_dist PyQt5}
BuildRequires:  %{py3_dist scipy}
BuildRequires:  %{py3_dist tables}
%endif

%py_provides python3-NeuroMLlite
%py_provides python3-neuromllite

%description -n python3-neuromllite %_description

%prep
%autosetup -n NeuroMLlite-%{version}

# Comment out to remove /usr/bin/env shebangs
# Can use something similar to correct/remove /usr/bin/python shebangs also
# find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

# Remove executable perm
find . -name "clean.sh" -exec chmod -x '{}' \;

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files neuromllite

%check
%if %{with tests}
%{__python3} setup.py test
%endif

%files -n python3-neuromllite -f %{pyproject_files}
%doc README.md
%doc examples
%{_bindir}/nmllite-ui

%changelog
* Sun Sep 17 2023 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.7-1
- Update to latest release

* Tue Nov 22 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.3-2
- Remove requirement on pyneuroml to break cyclic dependency

* Tue Nov 22 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.3-1
- Update to latest release

* Tue Jan 04 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.2-1
- Update to latest release

* Thu Nov 11 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.8-1
- Update to latest release

* Tue Sep 07 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.4-1
- Update to latest release
- Add missing setuptools BR

* Wed Mar 03 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.4-0.2
- Update to latest release

* Wed Aug 12 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.1-0.2.20200807gitb49087b
- Add missing requires

* Fri Aug 07 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.1-0.1.20200807gitb49087b
- Update to latest upstream commit
- Disable tests: circular deps on tools like netpyne and pyneuroml
- Will be enabled when they're packaged

* Sun Nov 10 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.9-1.20191010git5aa7284
- Update to 0.1.9

* Sat Jul 20 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.8-1.20190720gitc278f7ba
- initial build
